[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomProgressBar.BarShowText

Indicates if status or progress text is draw over the progress bar.

## Declaration

Source position: comctrls.pp line 1855

`public property TCustomProgressBar.BarShowText : Boolean read FBarShowText write SetBarShowText default False;`

## Description

BarShowText some widgetsets allow text to be displayed on the bar to indicate its position and range of values. The implementation of BarShowText is platform-specific. If the widgetset does not display text on the progress bar, the value in the property is not used.